> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/annotation/read-only-mode.md).

# Read only mode

Learn how to set user permissions to prevent PDF editing in Xamarin.Android viewer. Disable annotation creation, editing, form filling, signing, and more with this tutorial. The Apryse Xamarin SDK str

You can set user permissions to prevent the document from being edited with the use of tools.

## Read only mode for Xamarin.Android viewer

{% hint style="info" %}
**This tutorial only applies to Xamarin.Android.**
{% endhint %}

Actions such as annotation creation, editing, form filling, signing, and link following etc. are enabled by default. It is possible to selectively enable parts of such functionality as well as completely disable all interactive features.

## Disable PDF editing

To disable PDF editing, such as adding annotations, filling form fields or signing, use [`ToolManager.ReadOnly`](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Tools.ToolManager.html#pdftron_PDF_Tools_ToolManager_ReadOnly).

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
toolManager.ReadOnly = true;
```

{% endcode %}
{% endtab %}
{% endtabs %}

where `toolManager` is the instance of `ToolManager`.

## Disable all user interaction

To disable all user interaction on `PDFViewCtrl`, such as selecting text, selecting annotations, do not associate a `ToolManager` with a `PDFViewCtrl`. For example, do not use `ToolManagerBuilder` to create a `ToolManager` object.

## Disable annotation creation and editing

To hide all UI widgets that are associated with creation and editing of a particular annotation type, see: [Disable annotation creation and editing ](/xamarin/annotation/disable-annot-create-edit.md).

## Disable other functionality

To disable functionality that is not directly tied to annotations, see: [Disable functionality ](/xamarin/annotation/disable-annot-create-edit.md#disable-functionality).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/xamarin/annotation/read-only-mode.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
